| PDL for FM0+ Version1.0 Peripheral Driverl Library for FM0+

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
stc_mft_frt_intern_data Struct Reference
Free-Run Timer (FRT)

FRT instance internal data, storing internal information for each enabled FRT instance. More...

`#include <mft_frt.h>`

## Data Fields
func_ptr_t | pfnFrt0PeakCallback
| Callback function pointer of FRT0 peak detection interrupt.
func_ptr_t | pfnFrt1PeakCallback
| Callback function pointer of FRT1 peak detection interrupt.
func_ptr_t | pfnFrt2PeakCallback
| Callback function pointer of FRT2 peak detection interrupt.
func_ptr_t | pfnFrt0ZeroCallback
| Callback function pointer of FRT0 zero detection interrupt.
func_ptr_t | pfnFrt1ZeroCallback
| Callback function pointer of FRT1 zero detection interrupt.
func_ptr_t | pfnFrt2ZeroCallback
| Callback function pointer of FRT2 zero detection interrupt.

## Detailed Description

FRT instance internal data, storing internal information for each enabled FRT instance.

Definition at line 234 of file mft_frt.h.

## Field Documentation

func_ptr_t pfnFrt0PeakCallback

Callback function pointer of FRT0 peak detection interrupt.

Definition at line 236 of file mft_frt.h.

Referenced by Mft_Frt_EnableInt(), Mft_Frt_Init(), and Mft_Frt_IrqHandler().

func_ptr_t pfnFrt0ZeroCallback

Callback function pointer of FRT0 zero detection interrupt.

Definition at line 239 of file mft_frt.h.

Referenced by Mft_Frt_EnableInt(), Mft_Frt_Init(), and Mft_Frt_IrqHandler().

func_ptr_t pfnFrt1PeakCallback

Callback function pointer of FRT1 peak detection interrupt.

Definition at line 237 of file mft_frt.h.

Referenced by Mft_Frt_EnableInt(), and Mft_Frt_Init().

func_ptr_t pfnFrt1ZeroCallback

Callback function pointer of FRT1 zero detection interrupt.

Definition at line 240 of file mft_frt.h.

Referenced by Mft_Frt_EnableInt(), and Mft_Frt_Init().

func_ptr_t pfnFrt2PeakCallback

Callback function pointer of FRT2 peak detection interrupt.

Definition at line 238 of file mft_frt.h.

Referenced by Mft_Frt_EnableInt(), and Mft_Frt_Init().

func_ptr_t pfnFrt2ZeroCallback

Callback function pointer of FRT2 zero detection interrupt.

Definition at line 241 of file mft_frt.h.

Referenced by Mft_Frt_EnableInt(), and Mft_Frt_Init().

The documentation for this struct was generated from the following file:

- C:/pdl_v10/library/driver/mft/mft_frt.h